Bug 645364 - [Indic] Characters get overlap while moving the cursor.
[Indic] Characters get overlap while moving the cursor.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
19
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-21 08:09 EDT by Manoj Kumar Giri
Modified: 2015-04-19 20:45 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 08:26:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshort showing line overlapping in gedit (181.83 KB, image/png)
2010-10-21 08:09 EDT, Manoj Kumar Giri
no flags Details

  None (edit)
Description Manoj Kumar Giri 2010-10-21 08:09:07 EDT
Created attachment 454806 [details]
Screenshort showing line overlapping in gedit

Description of problem:
Characters/lines get overlap while moving the cursor up/down and while selecting some contents. 

Version-Release number of selected component (if applicable):
gedit-2.30.4-1.fc14.i686

How reproducible:
Most of the time

Steps to Reproduce:
1.open a file in gedit. Try to work on it i,e.modify the file by selecting a portion of the content or move the cursor by up/down key.
2.
3.
  
Actual results:
The lines will get overlap.

Expected results:
It shouldn't get overlap.

Additional info:
Comment 1 Manoj Kumar Giri 2010-10-22 02:40:34 EDT
[mgiri@localhost ~]$ lspci | grep "Graphics"
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
Comment 2 A S Alam 2010-10-22 03:03:15 EDT
I can reproduce this bug on my laptop (with Nivida GPU), only with Indic fonts with .dtd files. [1] file can be used for reference.
- After selecting Any Indic fonts, gedit need to restart
- tested lohit, samyak font families for Indic locales
- by selecting English Fonts Liberation,monospace works fine.


[1] http://hg.mozilla.org/mozilla-central/file/9b0ab0ada853/browser/locales/en-US/chrome/browser/browser.dtd
Comment 3 Akira TAGOH 2011-06-13 02:31:57 EDT
This looks like same issue with Bug#522648.
Comment 4 Akira TAGOH 2011-12-05 06:13:39 EST
Does this still persist on f16 say?
Comment 5 Manoj Kumar Giri 2011-12-06 05:28:44 EST
(In reply to comment #4)
> Does this still persist on f16 say?

It is still in f15 & f16.
Comment 6 Fedora End Of Life 2013-04-03 15:00:42 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 7 Fedora End Of Life 2015-01-09 11:23:37 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-02-17 08:26:02 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.